com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectFilter.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackEffectFilter.Builder

- Enclosing class:
    TrackEffectFilter

      public static class TrackEffectFilter.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrackEffectFilter` | `build()`
    `TrackEffectFilter.Builder` | `duration(long duration, java.util.concurrent.TimeUnit timeUnit)` Set the execute duration in the track
    `TrackEffectFilter.Builder` | `effectConfig(EffectConfig effectConfig)` Set up the custom effects json Object
    `TrackEffectFilter.Builder` | `resId(int id)` Sets the id of a resource.
    `TrackEffectFilter.Builder` | `source(Source source)` Sets the file of a resource.
    `TrackEffectFilter.Builder` | `startTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` Sets the start time in the track

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### startTime

          public TrackEffectFilter.Builder startTime(long startTime,
                                                     java.util.concurrent.TimeUnit timeUnit)

      Sets the start time in the track
      Parameters:
        `startTime` -
        `timeUnit` - TimeUnit
      Returns:
        this

    - #### duration

          public TrackEffectFilter.Builder duration(long duration,
                                                    java.util.concurrent.TimeUnit timeUnit)

      Set the execute duration in the track
      Parameters:
        `timeUnit` - TimeUnit
      Returns:
        this

    - #### source

          public TrackEffectFilter.Builder source(Source source)

      Sets the file of a resource.
      Parameters:
        `source` - Source
      Returns:
        this

    - #### effectConfig

          public TrackEffectFilter.Builder effectConfig(EffectConfig effectConfig)

      Set up the custom effects json Object
      Parameters:
        `effectConfig` - `EffectConfig`.
      Returns:
        this

    - #### resId

          public TrackEffectFilter.Builder resId(int id)

      Sets the id of a resource.
      Returns:
        this

    - #### build

          public TrackEffectFilter build()